<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Simple DOM example</title>
    <style>
      .highlight {
        color: white;
        background-color: black;
        padding: 10px;
        width: 250px;
        text-align: center;
      }
    </style>
  </head>
  <body>
      <section>
        <img src="dinosaur.png" alt="A red Tyrannosaurus Rex: A two legged dinosaur standing upright like a human, with small arms, and a large head with lots of sharp teeth.">
        <p>Here we will add a link to the <a href="https://www.mozilla.org/">Mozilla homepage</a></p>
      </section>

      <!--  DOM manipulation -->
      <script type="text/javascript">
        const link = document.querySelector('a'); // Older methods of DOM manipulation: document.getElementById; document.getElementByTagName;
        link.textContent = 'Mozilla Developer Network';
        link.href = 'https://developer.mozilla.org';

        // Creating and placing new nodes or elements
        const sect = document.querySelector('section'); //grabbing a reference
        const para = document.createElement('p'); //create a new paragraph
        para.textContent = 'We hope you enjoyed the ride.';
        sect.appendChild(para); //append the new paragraph

        // Add a text node to the paragraph
        const text = document.createTextNode(' — the premier source for web development knowledge.');
        const linkPara = document.querySelector('p'); //grabbing a reference
        linkPara.appendChild(text); //append to the text node

        // Moving and removing elements
        sect.appendChild(linkPara); // node.cloneNode() if you wanted to make a copy and add the element
        //sect.removeChild(linkPara); // Removing a  node - reference to the node to be removed and its parent
        text.remove(); // remove a node based only on a reference to itself

        // Manipulating Styles
        // This gives inline CSS Style
        /*para.style.color = 'white';
        para.style.backgroundColor = 'black';
        para.style.padding = '10px';
        para.style.width = '250px';
        para.style.textAlign = 'center';*/
        para.setAttribute('class', 'highlight'); //giving it a class that is selected by CSS rule, not as inline CSS styles.
      </script>
  </body>
</html>

<!-- 
DOM - Document Object Model
Different  Type of Nodes:
Root node
Child node
Descendant node
Parent node
Sibling node


 -->